body{
  background: #0F2027;  /* fallback for old browsers */
  color: white !important;
  background: -webkit-linear-gradient(to right, #2C5364, #203A43, #0F2027);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #2C5364, #203A43, #0F2027); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.nav-icon {
  max-height: 100px;;
}

#emailModal {
  color: black !important;
}
.trout-jumbo {
  background-color: transparent !important;
  color: white;
  font-weight: bold;
  padding-top: 10px !important;
  padding-bottom: 0px !important;
}

.description {
  font-weight: bold;
  font-size: 16px;
}

.error-message {
  color: red;
  font-weight: bold;
  font-size: 14px;
}

.visible {
  visibility: visible;
  opacity: 1;
  transition: opacity 2s linear;
}

.hidden {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 2s, opacity 2s linear;
}

.keycode {
  font-size: 84px;
  color: white;
  display: flex;
  margin-left: 73px;
  padding-top: 73px;
}

.sticky-note {
  max-width: 300px !important;
}

.gimme-space-top {
  margin-top: 25px;
}

.key-input {
  max-width: 125px;
}

.footer-text {
  float: right;
  font-weight: bold;
  font-size: 12px;
}

.giphy {
  font-size: 100px !important;
  display: block !important;
  color: white;
}

.gimme-lotta-space-top {
  margin-top: 50px;
}

#fixed-div {
  position: fixed;
  top: 0;
  right: 0;
}

.text-black {
  color: black !important;
}

/* Go float yourself */
.floating {  
  animation-name: floating;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

.dancing_wizard {
  max-height: 300px;
}

@keyframes floating {
  from { transform: translate(0,  0px); }
  65%  { transform: translate(0, 15px); }
  to   { transform: translate(0, -0px); }  
}

/* Here be confetti */
.confetti {
  width: 15px;
  height: 15px;
  background-color: #f2d74e;
  position: absolute;
  left: 50%;
  -webkit-animation: confetti 5s ease-in-out -2s infinite;
          animation: confetti 5s ease-in-out -2s infinite;
  -webkit-transform-origin: left top;
          transform-origin: left top;
}

.confetti:nth-child(1) {
  background-color: #f2d74e;
  left: 10%;
  -webkit-animation-delay: 0;
          animation-delay: 0;
}

.confetti:nth-child(2) {
  background-color: #95c3de;
  left: 20%;
  -webkit-animation-delay: -5s;
          animation-delay: -5s;
}

.confetti:nth-child(3) {
  background-color: #ff9a91;
  left: 30%;
  -webkit-animation-delay: -3s;
          animation-delay: -3s;
}

.confetti:nth-child(4) {
  background-color: #f2d74e;
  left: 40%;
  -webkit-animation-delay: -2.5s;
          animation-delay: -2.5s;
}

.confetti:nth-child(5) {
  background-color: #95c3de;
  left: 50%;
  -webkit-animation-delay: -4s;
          animation-delay: -4s;
}

.confetti:nth-child(6) {
  background-color: #ff9a91;
  left: 60%;
  -webkit-animation-delay: -6s;
          animation-delay: -6s;
}

.confetti:nth-child(7) {
  background-color: #f2d74e;
  left: 70%;
  -webkit-animation-delay: -1.5s;
          animation-delay: -1.5s;
}

.confetti:nth-child(8) {
  background-color: #95c3de;
  left: 80%;
  -webkit-animation-delay: -2s;
          animation-delay: -2s;
}

.confetti:nth-child(9) {
  background-color: #ff9a91;
  left: 90%;
  -webkit-animation-delay: -3.5s;
          animation-delay: -3.5s;
}

.confetti:nth-child(10) {
  background-color: #f2d74e;
  left: 100%;
  -webkit-animation-delay: -2.5s;
          animation-delay: -2.5s;
}

@-webkit-keyframes confetti {
  0% {
    -webkit-transform: rotateZ(15deg) rotateY(0deg) translate(0, 0);
            transform: rotateZ(15deg) rotateY(0deg) translate(0, 0);
  }
  25% {
    -webkit-transform: rotateZ(5deg) rotateY(360deg) translate(-5vw, 20vh);
            transform: rotateZ(5deg) rotateY(360deg) translate(-5vw, 20vh);
  }
  50% {
    -webkit-transform: rotateZ(15deg) rotateY(720deg) translate(5vw, 60vh);
            transform: rotateZ(15deg) rotateY(720deg) translate(5vw, 60vh);
  }
  75% {
    -webkit-transform: rotateZ(5deg) rotateY(1080deg) translate(-10vw, 80vh);
            transform: rotateZ(5deg) rotateY(1080deg) translate(-10vw, 80vh);
  }
  100% {
    -webkit-transform: rotateZ(15deg) rotateY(1440deg) translate(10vw, 110vh);
            transform: rotateZ(15deg) rotateY(1440deg) translate(10vw, 110vh);
  }
}

@keyframes confetti {
  0% {
    -webkit-transform: rotateZ(15deg) rotateY(0deg) translate(0, 0);
            transform: rotateZ(15deg) rotateY(0deg) translate(0, 0);
  }
  25% {
    -webkit-transform: rotateZ(5deg) rotateY(360deg) translate(-5vw, 20vh);
            transform: rotateZ(5deg) rotateY(360deg) translate(-5vw, 20vh);
  }
  50% {
    -webkit-transform: rotateZ(15deg) rotateY(720deg) translate(5vw, 60vh);
            transform: rotateZ(15deg) rotateY(720deg) translate(5vw, 60vh);
  }
  75% {
    -webkit-transform: rotateZ(5deg) rotateY(1080deg) translate(-10vw, 80vh);
            transform: rotateZ(5deg) rotateY(1080deg) translate(-10vw, 80vh);
  }
  100% {
    -webkit-transform: rotateZ(15deg) rotateY(1440deg) translate(10vw, 110vh);
            transform: rotateZ(15deg) rotateY(1440deg) translate(10vw, 110vh);
  }
}


